#include <bits/stdc++.h>
using namespace std;
int n,niz[100007],q,tip,k,x,brk;
bool svi_nula_jedan;
void svi_isti(){
    brk=0;
    for(int i=1;i<=n;i++){
        if(niz[i]==1)brk++;

    }
    cin>>q;
    while(q--){
        cin>>tip;
        if(tip==0){
           cin>>k;
           if(k<=brk)cout<<1<<endl;
           else cout<<0<<endl;
        }
        else{
            cin>>k>>x;
            if(niz[k]==0 and x==1){
               niz[k]=1;
               brk++;
            }
            if(niz[k]==1 and x==0){
               niz[k]=0;
               brk--;
            }
        }
    }
    exit(0);
}
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cin>>n;
    svi_nula_jedan=true;
    for(int i=1;i<=n;i++){
        cin>>niz[i];
        if(niz[i]>1)svi_nula_jedan=false;
    }
    if(svi_nula_jedan)svi_isti();


return 0;
}